> ## Documentation Index
> Fetch the complete documentation index at: https://enzohealth-12c99f25.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get paginated finalized sentences for a voice note



## OpenAPI

````yaml get /v1/notes/{voiceNoteId}/sentences
openapi: 3.0.3
info:
  title: Enzo API
  description: OpenAPI compliant REST API built using tRPC with Next.js
  version: 1.0.0
servers:
  - url: https://app.enzo.health/api
security: []
externalDocs:
  url: https://docs.enzo.health/api
paths:
  /v1/notes/{voiceNoteId}/sentences:
    get:
      tags:
        - Transcript
      summary: Get paginated finalized sentences for a voice note
      operationId: transcript-getFinalizedSentencesByVoiceNotePagination
      parameters:
        - in: path
          name: voiceNoteId
          schema:
            type: string
          required: true
        - in: query
          name: cursor
          schema:
            type: string
            nullable: true
        - in: query
          name: limit
          schema:
            type: number
            minimum: 1
            maximum: 100
            default: 5
        - in: query
          name: isPaginated
          schema:
            type: string
            default: 'true'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        transcript:
                          type: string
                        start:
                          type: number
                        end:
                          type: number
                        speaker:
                          type: number
                          nullable: true
                        speakerId:
                          type: string
                          nullable: true
                      required:
                        - id
                        - transcript
                        - start
                        - end
                        - speaker
                        - speakerId
                  patient:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                        nullable: true
                      firstname:
                        type: string
                        nullable: true
                      middlename:
                        type: string
                        nullable: true
                      lastname:
                        type: string
                        nullable: true
                      email:
                        type: string
                        nullable: true
                      suffix:
                        type: string
                        nullable: true
                      image:
                        type: string
                        nullable: true
                      dob:
                        type: string
                        nullable: true
                      deceased:
                        type: boolean
                        nullable: true
                      sex:
                        type: string
                        nullable: true
                      fmrn:
                        type: string
                        nullable: true
                      omrn:
                        type: string
                        nullable: true
                      ssn:
                        type: string
                        nullable: true
                      address:
                        type: string
                        nullable: true
                      city:
                        type: string
                        nullable: true
                      state:
                        type: string
                        nullable: true
                      stateZIP:
                        type: string
                        nullable: true
                      county:
                        type: string
                        nullable: true
                      aptNumber:
                        type: string
                        nullable: true
                      homePhone:
                        type: string
                        nullable: true
                      workPhone:
                        type: string
                        nullable: true
                      cellPhone:
                        type: string
                        nullable: true
                      fax:
                        type: string
                        nullable: true
                      language:
                        type: string
                        nullable: true
                      locationType:
                        type: string
                        nullable: true
                      residenceType:
                        type: string
                        nullable: true
                      residenceName:
                        type: string
                        nullable: true
                      timezone:
                        type: string
                        nullable: true
                      physician:
                        type: string
                        nullable: true
                      admissionSource:
                        type: string
                        nullable: true
                      insuranceProvider:
                        type: string
                        nullable: true
                      medicareNumber:
                        type: string
                        nullable: true
                      medicaidNumber:
                        type: string
                        nullable: true
                      organizationId:
                        type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                    required:
                      - id
                      - name
                      - firstname
                      - middlename
                      - lastname
                      - email
                      - suffix
                      - image
                      - dob
                      - deceased
                      - sex
                      - fmrn
                      - omrn
                      - ssn
                      - address
                      - city
                      - state
                      - stateZIP
                      - county
                      - aptNumber
                      - homePhone
                      - workPhone
                      - cellPhone
                      - fax
                      - language
                      - locationType
                      - residenceType
                      - residenceName
                      - timezone
                      - physician
                      - admissionSource
                      - insuranceProvider
                      - medicareNumber
                      - medicaidNumber
                      - organizationId
                      - createdAt
                      - updatedAt
                  nextCursor:
                    type: string
                    nullable: true
                required:
                  - items
                  - patient
                  - nextCursor
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````